--DROP TABLE Algae_Harvest;

CREATE TABLE Algae_Harvest (
   Harvest_Date varchar(10) NULL,
   Harvest_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   Harvest_Rate numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Algae_Harvest_Harvest_Date ON Algae_Harvest (Harvest_Date,Harvest_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Algae_Harvest','Algae Harvest');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Algae_Harvest','YES','YES');
--DROP TABLE Algae_Production;

CREATE TABLE Algae_Production (
   Check_Date varchar(10) NULL,
   Check_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   DO numeric(10,2) NULL,
   DO_sat numeric(10,2) NULL,
   Temperature numeric(10,2) NULL,
   Salinity numeric(10,2) NULL,
   NH3 numeric(10,2) NULL,
   NO2 numeric(10,2) NULL,
   pH numeric(10,2) NULL,
   Light integer NULL,
   Photo_Light numeric(10,2) NULL,
   Photo_Dark numeric(10,2) NULL,
   CO2 numeric(10,2) NULL,
   Cell_Count numeric(10,2) NULL,
   Enrichment varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Algae_Production_Check_Date ON Algae_Production (Check_Date,Check_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Algae_Production','Algae Production');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Algae_Production','YES','YES');
--DROP TABLE Algae_Prod_Parameters;

CREATE TABLE Algae_Prod_Parameters (
   Scheme_Name varchar(30) NULL,
   Is_Default varchar(4) NULL,
   DO_Min numeric(10,2) NULL,
   DO_sat_Min numeric(10,2) NULL,
   Temperature_Min numeric(10,2) NULL,
   Salinity_Min numeric(10,2) NULL,
   NH3_Min numeric(10,2) NULL,
   NO2_Min numeric(10,2) NULL,
   pH_Min numeric(10,2) NULL,
   Light_Min integer NULL,
   CO2_Min numeric(10,2) NULL,
   DO_Max numeric(10,2) NULL,
   DO_sat_Max numeric(10,2) NULL,
   Temperature_Max numeric(10,2) NULL,
   Salinity_Max numeric(10,2) NULL,
   NH3_Max numeric(10,2) NULL,
   NO2_Max numeric(10,2) NULL,
   pH_Max numeric(10,2) NULL,
   Light_Max integer NULL,
   CO2_Max numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Algae_Prod_Parameters_Scheme_Name ON Algae_Prod_Parameters (Scheme_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Algae_Prod_Parameters','Algae Production Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Algae_Prod_Parameters','YES','YES');
--DROP TABLE Artemia_Harvest;

CREATE TABLE Artemia_Harvest (
   Harvest_Date varchar(10) NULL,
   Harvest_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   Harvest_Rate numeric(10,2) NULL,
   Art_Type varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Artemia_Harvest_Harvest_Date ON Artemia_Harvest (Harvest_Date,Harvest_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Artemia_Harvest','Artemia Harvest');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Artemia_Harvest','YES','YES');
--DROP TABLE Artemia_Production;

CREATE TABLE Artemia_Production (
   Check_Date varchar(10) NULL,
   Check_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   DO numeric(10,2) NULL,
   DO_sat numeric(10,2) NULL,
   Temperature numeric(10,2) NULL,
   Salinity numeric(10,2) NULL,
   NH3 numeric(10,2) NULL,
   NO2 numeric(10,2) NULL,
   pH numeric(10,2) NULL,
   Art_Density numeric(10,2) NULL,
   Fertility numeric(10,2) NULL,
   Harvest_Rate numeric(10,2) NULL,
   nauplii varchar(20) NULL,
   juveniles varchar(20) NULL,
   adults varchar(20) NULL,
   Algae_Added numeric(10,2) NULL,
   Algae_Age integer NULL,
   Other_Feed varchar(40) NULL,
   Screens varchar(4) NULL,
   Floc_Traps varchar(4) NULL,
   Air_Stones varchar(4) NULL,
   Fridge varchar(4) NULL,
   Buckets varchar(4) NULL,
   Tank varchar(4) NULL,
   Hoses varchar(4) NULL,
   Disease_Name varchar(80) NULL,
   Disease_Comment_1 varchar(200) NULL,
   Inoculated varchar(4) NULL,
   Enrichment varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Artemia_Production_Check_Date ON Artemia_Production (Check_Date,Check_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Artemia_Production','Artemia Production');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Artemia_Production','YES','YES');
--DROP TABLE Art_Prod_Parameters;

CREATE TABLE Art_Prod_Parameters (
   Scheme_Name varchar(30) NULL,
   Is_Default varchar(4) NULL,
   DO_Min numeric(10,2) NULL,
   DO_sat_Min numeric(10,2) NULL,
   Temperature_Min numeric(10,2) NULL,
   Salinity_Min numeric(10,2) NULL,
   NH3_Min numeric(10,2) NULL,
   NO2_Min numeric(10,2) NULL,
   pH_Min numeric(10,2) NULL,
   DO_Max numeric(10,2) NULL,
   DO_sat_Max numeric(10,2) NULL,
   Temperature_Max numeric(10,2) NULL,
   Salinity_Max numeric(10,2) NULL,
   NH3_Max numeric(10,2) NULL,
   NO2_Max numeric(10,2) NULL,
   pH_Max numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Art_Prod_Parameters_Scheme_Name ON Art_Prod_Parameters (Scheme_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Art_Prod_Parameters','Artemia Production Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Art_Prod_Parameters','YES','YES');
--DROP TABLE Asset;

CREATE TABLE Asset (
   Asset_No integer NULL,
   Asset_Name varchar(120) NULL,
   Purchase_Date varchar(10) NULL,
   Org_Amt numeric(10,2) NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Asset_No ON Asset (Asset_No,Asset_Name);

CREATE INDEX Asset_Purchase_Date ON Asset (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset','Asset');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset','YES','YES');
--DROP TABLE Asset_Item;

CREATE TABLE Asset_Item (
   Asset_No integer NULL,
   Asset_Name varchar(120) NULL,
   Asset_Item varchar(100) NULL,
   Purchase_Date varchar(10) NULL,
   Purchase_Amt numeric(10,2) NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Item_Asset_No ON Asset_Item (Asset_No,Asset_Name,Asset_Item);

CREATE INDEX Asset_Item_Purchase_Date ON Asset_Item (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset_Item','Asset Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset_Item','YES','YES');
--DROP TABLE Bank;

CREATE TABLE Bank (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Bank_Id varchar(10) NULL,
   Bank_Type varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bank_Company_Name ON Bank (Company_Name,Site_Name,Bank_Id);

CREATE INDEX Bank_Bank_Type ON Bank (Bank_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bank','Bank');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bank','YES','YES');
--DROP TABLE Bank_Lay;

CREATE TABLE Bank_Lay (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Bank_Id varchar(10) NULL,
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Date_Moved varchar(10) NULL,
   Staff_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bank_Lay_Company_Name ON Bank_Lay (Company_Name,Site_Name,Bank_Id,Incubator_Id,Lay_Date,Date_Moved);

CREATE INDEX Bank_Lay_Staff_Name ON Bank_Lay (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bank_Lay','Incubator to Bank Movements');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bank_Lay','YES','YES');
--DROP TABLE Bath_Grade;

CREATE TABLE Bath_Grade (
   Grade_Date varchar(10) NULL,
   Src_Fish_Id varchar(10) NULL,
   Fish_Count integer NULL,
   Src_Tank_Id varchar(10) NULL,
   Src_Date_Assigned varchar(10) NULL,
   Action_Performed varchar(30) NULL,
   Dest_Fish_Id varchar(10) NULL,
   Dest_Fish_Count integer NULL,
   Dest_Tank_Id varchar(10) NULL,
   Dest_Date_Assigned varchar(10) NULL,
   Src_Graded_Fish_Out integer NULL,
   Sug_Grader_Bar varchar(10) NULL,
   Water_Temp integer NULL,
   Oxygen varchar(10) NULL,
   Comment varchar(200) NULL,
   LH_Name varchar(20) NULL,
   Ct_Count integer NULL,
   Ct_Accurate varchar(4) NULL,
   Ct_Calib varchar(4) NULL,
   MCt_Check varchar(4) NULL,
   Ct_Fish_Weight numeric(5,0) NULL,
   Ct_Speed varchar(11) NULL,
   Fish_No_Adjust integer NULL,
   Grade_Scale varchar(15) NULL,
   Tag_Id varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bath_Grade_Grade_Date ON Bath_Grade (Grade_Date,Src_Fish_Id,Src_Tank_Id,Dest_Fish_Id,Dest_Tank_Id);

CREATE INDEX Bath_Grade_LH_Name ON Bath_Grade (LH_Name);

CREATE INDEX Bath_Grade_Grade_Scale ON Bath_Grade (Grade_Scale);

CREATE INDEX Bath_Grade_Tag_Id ON Bath_Grade (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bath_Grade','Graded Fish Movements');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bath_Grade','YES','YES');
--DROP TABLE Carrier;

CREATE TABLE Carrier (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Mobile_No varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(20) NULL,
   Pallets_Delivered integer NULL,
   Pallets_Taken integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Carrier_Name ON Carrier (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Carrier','Carrier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Carrier','YES','YES');
--DROP TABLE Company;

CREATE TABLE Company (
   Name varchar(30) NULL,
   Report_by varchar(4) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Company_Name ON Company (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Company','Company');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Company','YES','YES');
--DROP TABLE Contact;

CREATE TABLE Contact (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Web_Site varchar(40) NULL,
   Classification varchar(20) NULL,
   Responsibility varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Contact_Name ON Contact (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Contact','Contacts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Contact','YES','YES');
--DROP TABLE Customer;

CREATE TABLE Customer (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(100) NULL,
   Address2 varchar(100) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(50) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Name ON Customer (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer','Customer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer','YES','YES');
--DROP TABLE Customer_Orders;

CREATE TABLE Customer_Orders (
   Customer_Name varchar(30) NULL,
   Order_No varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Status varchar(20) NULL,
   Exp_Del_Date varchar(10) NULL,
   Eggs_Ordered integer NULL,
   Freight numeric(10,2) NULL,
   Total_Cost numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Orders_Customer_Name ON Customer_Orders (Customer_Name,Order_No,Order_Date);

CREATE INDEX Customer_Orders_Exp_Del_Date ON Customer_Orders (Exp_Del_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer_Orders','Customer Orders');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer_Orders','YES','YES');
--DROP TABLE Customer_Sale;

CREATE TABLE Customer_Sale (
   Customer_Name varchar(30) NULL,
   Sale_Date varchar(10) NULL,
   Sale_No integer NULL,
   Exp_Date varchar(10) NULL,
   Delivery_Address varchar(120) NULL,
   Carrier_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Sale_Customer_Name ON Customer_Sale (Customer_Name,Sale_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer_Sale','Customer Fish Sale');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer_Sale','YES','YES');
--DROP TABLE Delivery;

CREATE TABLE Delivery (
   Order_No varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Delivered_Date varchar(10) NULL,
   Carrier_Name varchar(30) NULL,
   Supplier_Name varchar(30) NULL,
   Qty_Delivered integer NULL,
   Carrier_Docket_No varchar(20) NULL,
   Pallets_Received integer NULL,
   Pallets_Returned integer NULL,
   Driver_Name varchar(30) NULL,
   Freight numeric(10,2) NULL,
   Run_Nos varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Delivery_Order_No ON Delivery (Order_No,Stock_Name,Delivered_Date,Carrier_Name);

CREATE INDEX Delivery_Supplier_Name ON Delivery (Supplier_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Delivery','Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Delivery','YES','YES');
--DROP TABLE Disease;

CREATE TABLE Disease (
   Disease_Name varchar(80) NULL,
   Image_Location varchar(50) NULL,
   Treatment_Description varchar(512) NULL,
   Treatment_File varchar(120) NULL
);

CREATE UNIQUE CLUSTERED INDEX Disease_Disease_Name ON Disease (Disease_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Disease','Disease');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Disease','YES','YES');
--DROP TABLE Disease_Test;

CREATE TABLE Disease_Test (
   Fish_Id varchar(10) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   Check_Date varchar(10) NULL,
   Disease_Name varchar(80) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Disease_Test_Fish_Id ON Disease_Test (Fish_Id,FH_Date,Check_Type,Check_Date,Disease_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Disease_Test','Disease Test');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Disease_Test','YES','YES');
--DROP TABLE Egg_Carton;

CREATE TABLE Egg_Carton (
   Fish_Type varchar(20) NULL,
   Eggs_Carton integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Egg_Carton_Fish_Type ON Egg_Carton (Fish_Type,Eggs_Carton);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Egg_Carton','Egg Carton');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Egg_Carton','YES','YES');
--DROP TABLE Egg_Incubator;

CREATE TABLE Egg_Incubator (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   Incubator_Id varchar(10) NULL,
   New_Fish_Id varchar(10) NULL,
   No_fish integer NULL,
   Fert_Percentage numeric(10,2) NULL,
   No_Eggs integer NULL,
   Date_Eyed varchar(10) NULL,
   Date_Hatched varchar(10) NULL,
   End_Date_Hatched varchar(10) NULL,
   Comment varchar(200) NULL,
   No_Dead integer NULL,
   No_Culled integer NULL,
   No_Sold integer NULL,
   Date_Empty varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Egg_Incubator_Fish_Id ON Egg_Incubator (Fish_Id,Stripping_Date,Incubator_Id);

CREATE INDEX Egg_Incubator_Date_Eyed ON Egg_Incubator (Date_Eyed);

CREATE INDEX Egg_Incubator_Date_Hatched ON Egg_Incubator (Date_Hatched);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Egg_Incubator','Eggs to Incubator');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Egg_Incubator','YES','YES');
--DROP TABLE Egg_Stripping;

CREATE TABLE Egg_Stripping (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   New_Fish_Id varchar(10) NULL,
   Fish_No integer NULL,
   Avg_Egg_Weight numeric(10,2) NULL,
   Total_Eggs integer NULL,
   Comment varchar(200) NULL,
   Egg_Colour varchar(20) NULL,
   Egg_Density varchar(20) NULL,
   Egg_Shape varchar(20) NULL,
   Egg_Activity varchar(20) NULL,
   Egg_Condition varchar(20) NULL,
   Egg_Size varchar(20) NULL,
   Male_Fish_Id varchar(10) NULL,
   Water_Temp numeric(10,2) NULL,
   Females_Rejected integer NULL,
   Pressure numeric(10,2) NULL,
   Triploid_Time numeric(10,2) NULL,
   Eggs_Culled integer NULL,
   Sperm_Quality varchar(15) NULL,
   No_Males integer NULL,
   Fish_Sex varchar(15) NULL,
   Males_Rejected integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Egg_Stripping_Fish_Id ON Egg_Stripping (Fish_Id,Stripping_Date,New_Fish_Id);

CREATE INDEX Egg_Stripping_Male_Fish_Id ON Egg_Stripping (Male_Fish_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Egg_Stripping','Egg Stripping');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Egg_Stripping','YES','YES');
--DROP TABLE Environment_Staff;

CREATE TABLE Environment_Staff (
   Record_Id integer NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Monitor_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Staff_Name varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Environment_Staff_Record_Id ON Environment_Staff (Record_Id,Company_Name,Site_Name,Monitor_Date,Group_Name,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Environment_Staff','Environment Staff');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Environment_Staff','YES','YES');
--DROP TABLE ErrorMessage;

CREATE TABLE ErrorMessage (
   emRef integer NULL,
   emText varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX ErrorMessage_emRef ON ErrorMessage (emRef);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('ErrorMessage','ErrorMessage');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','ErrorMessage','YES','YES');
--DROP TABLE Event_Diary;

CREATE TABLE Event_Diary (
   Diary_Date varchar(10) NULL,
   Diary_Time varchar(8) NULL,
   Staff_Name varchar(30) NULL,
   Event varchar(512) NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Event_Diary_Diary_Date ON Event_Diary (Diary_Date,Diary_Time,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Event_Diary','Event Diary');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Event_Diary','YES','YES');
--DROP TABLE Farm_Cost;

CREATE TABLE Farm_Cost (
   Operating_Year numeric(4,0) NULL,
   Staff_Cost numeric(10,2) NULL,
   Var_Staff_Cost numeric(4,2) NULL,
   Maintenance_Cost numeric(10,2) NULL,
   Var_Maintenance_Cost numeric(4,2) NULL,
   Farm_Operation_Cost numeric(10,2) NULL,
   Var_Farm_Operation_Cost numeric(4,2) NULL,
   Stock_Cost numeric(10,2) NULL,
   Var_Stock_Cost numeric(4,2) NULL,
   Rates_and_Taxes numeric(10,2) NULL,
   Var_Rates_and_Taxes_Cost numeric(4,2) NULL,
   Fuel_Cost numeric(10,2) NULL,
   Var_Fuel_Cost numeric(4,2) NULL,
   Consulting_Cost numeric(10,2) NULL,
   Var_Consulting_Cost numeric(4,2) NULL,
   Loans_Cost numeric(10,2) NULL,
   Var_Loan_Cost numeric(4,2) NULL,
   Oxygen_Cost numeric(10,2) NULL,
   Var_Oxygen_Cost numeric(4,2) NULL,
   Diving_Cost numeric(10,2) NULL,
   Var_Diving_Cost numeric(4,2) NULL,
   Packaging_Cost numeric(10,2) NULL,
   Var_Packing_Cost numeric(4,2) NULL,
   Insurance_Cost numeric(10,2) NULL,
   Var_Insurance_Cost numeric(4,2) NULL,
   Marketing_Cost numeric(10,2) NULL,
   Var_Marketing_Cost numeric(4,2) NULL,
   Operating_Capacity numeric(10,2) NULL,
   Var_Operating_capacity numeric(4,2) NULL,
   Selling_Price numeric(10,2) NULL,
   Var_Selling_Price numeric(4,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Farm_Cost_Operating_Year ON Farm_Cost (Operating_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Farm_Cost','Farm Cost');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Farm_Cost','YES','YES');
--DROP TABLE FCR_Table;

CREATE TABLE FCR_Table (
   FCR_Name varchar(30) NULL,
   Date_Created varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX FCR_Table_FCR_Name ON FCR_Table (FCR_Name);

CREATE INDEX FCR_Table_Date_Created ON FCR_Table (Date_Created);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('FCR_Table','FCR / SGR / Feed Rate ');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','FCR_Table','YES','YES');
--DROP TABLE FCR_Table_Item;

CREATE TABLE FCR_Table_Item (
   FCR_Name varchar(30) NULL,
   Temp_Start_Range numeric(10,2) NULL,
   Temp_End_Range numeric(10,2) NULL,
   Weight_Start_Range numeric(10,2) NULL,
   Weight_End_Range numeric(10,2) NULL,
   FCR_Value numeric(10,2) NULL,
   SGR numeric(10,2) NULL,
   Feed_Freq integer NULL,
   Feed_Day_Period varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX FCR_Table_Item_FCR_Name ON FCR_Table_Item (FCR_Name,Temp_Start_Range,Temp_End_Range,Weight_Start_Range,Weight_End_Range);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('FCR_Table_Item','FCR / SGR / Feed Rate Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','FCR_Table_Item','YES','YES');
--DROP TABLE Feeding_Period;

CREATE TABLE Feeding_Period (
   Date_From varchar(10) NULL,
   Date_To varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Period_Date_From ON Feeding_Period (Date_From,Date_To);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Period','Feeding Period');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Period','YES','YES');
--DROP TABLE Feeding_Schedule;

CREATE TABLE Feeding_Schedule (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Fish_Count integer NULL,
   Feeding_Date varchar(10) NULL,
   Bin_Fill numeric(10,2) NULL,
   Stock_Name varchar(40) NULL,
   Bin_Stock_Item_Type varchar(20) NULL,
   Blow_Qty numeric(10,2) NULL,
   Blow_Stock_Name varchar(40) NULL,
   Blow_Stock_Item_Type varchar(20) NULL,
   Total_Feed numeric(10,2) NULL,
   Aq_Qty numeric(10,2) NULL,
   Aq_Stock_Name varchar(40) NULL,
   Aq_Stock_Item_Type varchar(20) NULL,
   Hand_Qty numeric(10,2) NULL,
   Hand_Stock_Name varchar(40) NULL,
   Hand_Stock_Item_Type varchar(20) NULL,
   Comment varchar(200) NULL,
   Waste_Qty numeric(10,2) NULL,
   Waste_Stock_Name varchar(40) NULL,
   Waste_Stock_Item_Type varchar(20) NULL,
   Feed_Behaviour varchar(15) NULL,
   Returned_Qty numeric(10,2) NULL,
   Returned_Stock_Name varchar(40) NULL,
   Returned_Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Schedule_Fish_Id ON Feeding_Schedule (Fish_Id,Tank_Id,Date_Assigned,Feeding_Date);

CREATE INDEX Feeding_Schedule_Stock_Name ON Feeding_Schedule (Stock_Name);

CREATE INDEX Feeding_Schedule_Bin_Stock_Item_Type ON Feeding_Schedule (Bin_Stock_Item_Type);

CREATE INDEX Feeding_Schedule_Blow_Stock_Name ON Feeding_Schedule (Blow_Stock_Name);

CREATE INDEX Feeding_Schedule_Blow_Stock_Item_Type ON Feeding_Schedule (Blow_Stock_Item_Type);

CREATE INDEX Feeding_Schedule_Aq_Stock_Name ON Feeding_Schedule (Aq_Stock_Name);

CREATE INDEX Feeding_Schedule_Aq_Stock_Item_Type ON Feeding_Schedule (Aq_Stock_Item_Type);

CREATE INDEX Feeding_Schedule_Hand_Stock_Name ON Feeding_Schedule (Hand_Stock_Name);

CREATE INDEX Feeding_Schedule_Hand_Stock_Item_Type ON Feeding_Schedule (Hand_Stock_Item_Type);

CREATE INDEX Feeding_Schedule_Waste_Stock_Name ON Feeding_Schedule (Waste_Stock_Name);

CREATE INDEX Feeding_Schedule_Waste_Stock_Item_Type ON Feeding_Schedule (Waste_Stock_Item_Type);

CREATE INDEX Feeding_Schedule_Returned_Stock_Name ON Feeding_Schedule (Returned_Stock_Name);

CREATE INDEX Feeding_Schedule_Returned_Stock_Item_Type ON Feeding_Schedule (Returned_Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Schedule','Daily Feed Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Schedule','YES','YES');
--DROP TABLE Feed_Fish_Pellet_Size;

CREATE TABLE Feed_Fish_Pellet_Size (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Date_Created varchar(10) NULL,
   Tdummy1 char(1) NULL,
   TDummy2 varchar(1) NULL,
   TDummy3 integer NULL,
   Fish_Size_1_3 numeric(3,1) NULL,
   Fish_Size_1_3_End numeric(3,1) NULL,
   No_1_3 integer NULL,
   Fish_Size_3_5 numeric(3,1) NULL,
   Fish_Size_3_5_End numeric(3,1) NULL,
   No_3_5 integer NULL,
   Fish_Size_5_180 numeric(3,1) NULL,
   Fish_Size_5_180_End numeric(3,1) NULL,
   No_5_180 integer NULL,
   Fish_Size_180_400 numeric(3,1) NULL,
   Fish_Size_180_400_End numeric(3,1) NULL,
   No_180_400 integer NULL,
   Fish_Size_400_750 numeric(3,1) NULL,
   Fish_Size_400_750_End numeric(3,1) NULL,
   No_400_750 integer NULL,
   Fish_Size_750_1500 numeric(3,1) NULL,
   Fish_Size_750_1500_End numeric(3,1) NULL,
   No_750_1500 integer NULL,
   Fish_Size_1500_2200 numeric(3,1) NULL,
   Fish_Size_1500_2200_End numeric(3,1) NULL,
   No_1500_2200 integer NULL,
   Fish_Size_2200_3200 numeric(3,1) NULL,
   Fish_Size_2200_3200_End numeric(3,1) NULL,
   No_2200_3200 integer NULL,
   Fish_Size_3200 numeric(3,1) NULL,
   Fish_Size_3200_End numeric(3,1) NULL,
   No_3200 integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Fish_Pellet_Size_Stock_Name ON Feed_Fish_Pellet_Size (Stock_Name,Item_Type_Name,Date_Created);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Fish_Pellet_Size','Feed Fish Pellet Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Fish_Pellet_Size','YES','YES');
--DROP TABLE Feed_Period_Fish_Id;

CREATE TABLE Feed_Period_Fish_Id (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Date_From varchar(10) NULL,
   Date_To varchar(10) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Feed_Per numeric(10,2) NULL,
   Feed_Freq integer NULL,
   Comment varchar(255) NULL,
   Feed_Per_Day numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Period_Fish_Id_Fish_Id ON Feed_Period_Fish_Id (Fish_Id,Tank_Id,Date_Assigned,Date_From,Date_To,Stock_Name,Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Period_Fish_Id','Feed Schedule');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Period_Fish_Id','YES','YES');
--DROP TABLE Feed_Scoop;

CREATE TABLE Feed_Scoop (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Product_Size varchar(10) NULL,
   Weight numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Scoop_Stock_Name ON Feed_Scoop (Stock_Name,Item_Type_Name);

CREATE INDEX Feed_Scoop_Product_Size ON Feed_Scoop (Product_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Scoop','Feed Scoop Weight');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Scoop','YES','YES');
--DROP TABLE Fish_Adjustment;

CREATE TABLE Fish_Adjustment (
   Adjust_Fish_Id varchar(10) NULL,
   Adjust_Date varchar(10) NULL,
   Adjust_Qty integer NULL,
   Comments varchar(150) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Adjustment_Adjust_Fish_Id ON Fish_Adjustment (Adjust_Fish_Id,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Adjustment','Fish Adjustment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Adjustment','YES','YES');
--DROP TABLE Fish_Checked;

CREATE TABLE Fish_Checked (
   Fish_Id varchar(10) NULL,
   Fish_No varchar(20) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   AGD varchar(15) NULL,
   Avg_Fish_Length numeric(10,2) NULL,
   Weight numeric(10,2) NULL,
   Lab_Results_Other varchar(200) NULL,
   Sample_Weight numeric(5,2) NULL,
   Sat_Fat numeric(5,2) NULL,
   Mono_Fat numeric(5,2) NULL,
   Poly_Fat numeric(5,2) NULL,
   Omega_3 numeric(10,2) NULL,
   Cholesterol integer NULL,
   Carbohydrate numeric(3,2) NULL,
   Energy integer NULL,
   Sodium numeric(5,2) NULL,
   Calcium numeric(5,2) NULL,
   Iron numeric(5,2) NULL,
   Vitamin_A numeric(5,2) NULL,
   Thiamin numeric(5,2) NULL,
   Riboflavin numeric(5,2) NULL,
   Niacin numeric(5,2) NULL,
   Vitamin_B12 numeric(5,2) NULL,
   Vitamin_C numeric(5,2) NULL,
   Vitamin_D numeric(5,2) NULL,
   Vitamin_E numeric(5,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Checked_Fish_Id ON Fish_Checked (Fish_Id,Fish_No,FH_Date,Check_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Checked','Lab Analysis');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Checked','YES','YES');
--DROP TABLE Fish_Health;

CREATE TABLE Fish_Health (
   Fish_Id varchar(10) NULL,
   FH_Date varchar(10) NULL,
   Check_Type varchar(15) NULL,
   Total_Fish numeric(6,0) NULL,
   Staff_Name varchar(20) NULL,
   Mature numeric(3,0) NULL,
   Mature_Female numeric(3,0) NULL,
   Pinhead numeric(3,0) NULL,
   Gill_Health_Good numeric(3,0) NULL,
   Gill_Health_Moppy numeric(3,0) NULL,
   Gill_Health_CN numeric(3,0) NULL,
   Gill_Health_Other numeric(3,0) NULL,
   Weight_Method varchar(10) NULL,
   Weight_Fish_Total integer NULL,
   Avg_Live_Weight numeric(10,0) NULL,
   Weight_Coefficient varchar(10) NULL,
   Weight_Variation varchar(10) NULL,
   Weight_Comment varchar(100) NULL,
   Comment varchar(200) NULL,
   Sample_date varchar(10) NULL,
   No_Fish_Sampled integer NULL,
   Sample_Type varchar(35) NULL,
   Samples_Sent varchar(100) NULL,
   Samples_Comment varchar(200) NULL,
   Lesions numeric(3,0) NULL,
   Deformed_Jaw numeric(3,0) NULL,
   Deformaties numeric(3,0) NULL,
   Avg_Fish_Length numeric(10,2) NULL,
   Fish_Count integer NULL,
   Runts numeric(3,0) NULL,
   Vac_Date varchar(10) NULL,
   Vac_Details varchar(100) NULL,
   Vac_Method varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Health_Fish_Id ON Fish_Health (Fish_Id,FH_Date,Check_Type);

CREATE INDEX Fish_Health_Staff_Name ON Fish_Health (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Health','Fish Group Health');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Health','YES','YES');
--DROP TABLE Fish_Spawn;

CREATE TABLE Fish_Spawn (
   Broodstock_Code numeric(10,0) NULL,
   Date_Spawn varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Spawn_Broodstock_Code ON Fish_Spawn (Broodstock_Code,Date_Spawn);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Spawn','Fish Spawn');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Spawn','YES','YES');
--DROP TABLE Fish_Species;

CREATE TABLE Fish_Species (
   Fish_Species varchar(20) NULL,
   Scientific_Name varchar(150) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Species_Fish_Species ON Fish_Species (Fish_Species);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Species','Fish Species');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Species','YES','YES');
--DROP TABLE Fish_Stocking;

CREATE TABLE Fish_Stocking (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Stocking_Date varchar(10) NULL,
   Stocking_Time varchar(10) NULL,
   Stocking_Count integer NULL,
   Avg_Weight numeric(10,2) NULL,
   Initial_Biomass numeric(10,2) NULL,
   Tag_Id varchar(20) NULL,
   Customer_Name varchar(30) NULL,
   Delivery_No varchar(20) NULL,
   Larvae_Group_Name varchar(50) NULL,
   Larvae_Tank_Id varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Stocking_Fish_Id ON Fish_Stocking (Fish_Id,Tank_Id,Stocking_Date,Stocking_Time);

CREATE INDEX Fish_Stocking_Date_Assigned ON Fish_Stocking (Date_Assigned);

CREATE INDEX Fish_Stocking_Tag_Id ON Fish_Stocking (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Stocking','Fish Stocking');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Stocking','YES','YES');
--DROP TABLE Fish_Stock_Size;

CREATE TABLE Fish_Stock_Size (
   Stock_Size varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Stock_Size_Stock_Size ON Fish_Stock_Size (Stock_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Stock_Size','Fish Stock Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Stock_Size','YES','YES');
--DROP TABLE Fish_Type;

CREATE TABLE Fish_Type (
   Fish_Type varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Type_Fish_Type ON Fish_Type (Fish_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Type','Fish Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Type','YES','YES');
--DROP TABLE Grade_Scale;

CREATE TABLE Grade_Scale (
   Grade_Name varchar(15) NULL,
   Created_Date varchar(10) NULL,
   Tdummy1 char(1) NULL,
   Tdummy2 char(1) NULL,
   Blt10 numeric(6,4) NULL,
   Bgt10_lt20 numeric(6,4) NULL,
   Bgt20_lt30 numeric(6,4) NULL,
   Bgt30_lt40 numeric(6,4) NULL,
   Bgt40_lt50 numeric(6,4) NULL,
   Bgt50_lt70 numeric(6,4) NULL,
   Tdummy3 char(1) NULL,
   Segt90 numeric(6,4) NULL,
   Slt90_gt80 numeric(6,4) NULL,
   Slt80_gt70 numeric(6,4) NULL,
   Slt70_gt60 numeric(6,4) NULL,
   Slt60_gt50 numeric(6,4) NULL,
   Slt5_gt30 numeric(6,4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Grade_Scale_Grade_Name ON Grade_Scale (Grade_Name);

CREATE INDEX Grade_Scale_Created_Date ON Grade_Scale (Created_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Grade_Scale','Grade Scale');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Grade_Scale','YES','YES');
--DROP TABLE Growth_Rate;

CREATE TABLE Growth_Rate (
   Name varchar(15) NULL,
   Date_Created varchar(10) NULL,
   Tdummy1 char(1) NULL,
   Tdummy2 char(1) NULL,
   Tdummy3 char(1) NULL,
   Tdummy4 char(1) NULL,
   Tdummy7 char(1) NULL,
   Tdummy8 char(1) NULL,
   Fish_50_10 numeric(3,2) NULL,
   Fish_50_12 numeric(3,2) NULL,
   Fish_50_14 numeric(3,2) NULL,
   Fish_50_16 numeric(3,2) NULL,
   Fish_50_17 numeric(3,2) NULL,
   Fish_50_18 numeric(3,2) NULL,
   Fish_100_10 numeric(3,2) NULL,
   Fish_100_12 numeric(3,2) NULL,
   Fish_100_14 numeric(3,2) NULL,
   Fish_100_16 numeric(3,2) NULL,
   Fish_100_17 numeric(3,2) NULL,
   Fish_100_18 numeric(3,2) NULL,
   Fish_500_10 numeric(3,2) NULL,
   Fish_500_12 numeric(3,2) NULL,
   Fish_500_14 numeric(3,2) NULL,
   Fish_500_16 numeric(3,2) NULL,
   Fish_500_17 numeric(3,2) NULL,
   Fish_500_18 numeric(3,2) NULL,
   Fish_750_10 numeric(3,2) NULL,
   Fish_750_12 numeric(3,2) NULL,
   Fish_750_14 numeric(3,2) NULL,
   Fish_750_16 numeric(3,2) NULL,
   Fish_750_17 numeric(3,2) NULL,
   Fish_750_18 numeric(3,2) NULL,
   Fish_1000_10 numeric(3,2) NULL,
   Fish_1000_12 numeric(3,2) NULL,
   Fish_1000_14 numeric(3,2) NULL,
   Fish_1000_16 numeric(3,2) NULL,
   Fish_1000_17 numeric(3,2) NULL,
   Fish_1000_18 numeric(3,2) NULL,
   Fish_1500_10 numeric(3,2) NULL,
   Fish_1500_12 numeric(3,2) NULL,
   Fish_1500_14 numeric(3,2) NULL,
   Fish_1500_16 numeric(3,2) NULL,
   Fish_1500_17 numeric(3,2) NULL,
   Fish_1500_18 numeric(3,2) NULL,
   Fish_2000_10 numeric(3,2) NULL,
   Fish_2000_12 numeric(3,2) NULL,
   Fish_2000_14 numeric(3,2) NULL,
   Fish_2000_16 numeric(3,2) NULL,
   Fish_2000_17 numeric(3,2) NULL,
   Fish_2000_18 numeric(3,2) NULL,
   Fish_3000_10 numeric(3,2) NULL,
   Fish_3000_12 numeric(3,2) NULL,
   Fish_3000_14 numeric(3,2) NULL,
   Fish_3000_16 numeric(3,2) NULL,
   Fish_3000_17 numeric(3,2) NULL,
   Fish_3000_18 numeric(3,2) NULL,
   Fish_4000_10 numeric(3,2) NULL,
   Fish_4000_12 numeric(3,2) NULL,
   Fish_4000_14 numeric(3,2) NULL,
   Fish_4000_16 numeric(3,2) NULL,
   Fish_4000_17 numeric(3,2) NULL,
   Fish_4000_18 numeric(3,2) NULL,
   Fish_5000_10 numeric(3,2) NULL,
   Fish_5000_12 numeric(3,2) NULL,
   Fish_5000_14 numeric(3,2) NULL,
   Fish_5000_16 numeric(3,2) NULL,
   Fish_5000_17 numeric(3,2) NULL,
   Fish_5000_18 numeric(3,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Growth_Rate_Name ON Growth_Rate (Name);

CREATE INDEX Growth_Rate_Date_Created ON Growth_Rate (Date_Created);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Growth_Rate','Growth Rate');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Growth_Rate','YES','YES');
--DROP TABLE Hatchery_Out_take;

CREATE TABLE Hatchery_Out_take (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Out_take_Date varchar(10) NULL,
   No_Fish_Out numeric(10,0) NULL,
   Avg_Fish_Weight numeric(6,2) NULL,
   Biomass numeric(10,2) NULL,
   Customer_1 varchar(30) NULL,
   Fish_Cost numeric(10,2) NULL,
   Fish_Age varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Hatchery_Out_take_Fish_Id ON Hatchery_Out_take (Fish_Id,Tank_Id,Date_Assigned,Out_take_Date);

CREATE INDEX Hatchery_Out_take_Customer_1 ON Hatchery_Out_take (Customer_1);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Hatchery_Out_take','Hatchery Out take');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Hatchery_Out_take','YES','YES');
--DROP TABLE Incubator;

CREATE TABLE Incubator (
   Incubator_Id varchar(10) NULL,
   Incubator_Size varchar(10) NULL,
   Incubator_Type varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Incubator_Incubator_Id ON Incubator (Incubator_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Incubator','Incubator');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Incubator','YES','YES');
--DROP TABLE Incubator_Tank;

CREATE TABLE Incubator_Tank (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   From_Incubator_Id varchar(10) NULL,
   Moved_Date varchar(10) NULL,
   Moved_Time varchar(8) NULL,
   To_Tank_Id varchar(10) NULL,
   New_Fish_Id varchar(10) NULL,
   No_Eggs integer NULL,
   Date_Eyed varchar(10) NULL,
   Date_Hatched varchar(10) NULL,
   Comment varchar(200) NULL,
   No_Dead integer NULL,
   No_Culled integer NULL,
   No_Sold integer NULL,
   Date_Empty varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Incubator_Tank_Fish_Id ON Incubator_Tank (Fish_Id,Stripping_Date,From_Incubator_Id,Moved_Date,Moved_Time,To_Tank_Id);

CREATE INDEX Incubator_Tank_Date_Eyed ON Incubator_Tank (Date_Eyed);

CREATE INDEX Incubator_Tank_Date_Hatched ON Incubator_Tank (Date_Hatched);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Incubator_Tank','Incubator to Tank Moves');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Incubator_Tank','YES','YES');
--DROP TABLE Incubator_Trough;

CREATE TABLE Incubator_Trough (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   From_Incubator_Id varchar(10) NULL,
   Moved_Date varchar(10) NULL,
   Moved_Time varchar(8) NULL,
   To_Trough_Id varchar(20) NULL,
   New_Fish_Id varchar(10) NULL,
   No_Eggs integer NULL,
   Date_Eyed varchar(10) NULL,
   Date_Hatched varchar(10) NULL,
   End_Date_Hatched varchar(10) NULL,
   Comment varchar(200) NULL,
   No_Dead integer NULL,
   No_Culled integer NULL,
   No_Sold integer NULL,
   Date_Empty varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Incubator_Trough_Fish_Id ON Incubator_Trough (Fish_Id,Stripping_Date,From_Incubator_Id,Moved_Date,Moved_Time,To_Trough_Id);

CREATE INDEX Incubator_Trough_Date_Eyed ON Incubator_Trough (Date_Eyed);

CREATE INDEX Incubator_Trough_Date_Hatched ON Incubator_Trough (Date_Hatched);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Incubator_Trough','Incubator to Trough Moves');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Incubator_Trough','YES','YES');
--DROP TABLE Inc_Eggs_Movement;

CREATE TABLE Inc_Eggs_Movement (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   From_Incubator_Id varchar(10) NULL,
   Moved_Date varchar(10) NULL,
   Moved_Time varchar(8) NULL,
   To_Incubator_Id varchar(10) NULL,
   New_Fish_Id varchar(10) NULL,
   No_Eggs integer NULL,
   Date_Eyed varchar(10) NULL,
   Date_Hatched varchar(10) NULL,
   End_Date_Hatched varchar(10) NULL,
   Comment varchar(200) NULL,
   No_Dead integer NULL,
   No_Culled integer NULL,
   No_Sold integer NULL,
   Date_Empty varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Inc_Eggs_Movement_Fish_Id ON Inc_Eggs_Movement (Fish_Id,Stripping_Date,From_Incubator_Id,Moved_Date,Moved_Time,To_Incubator_Id);

CREATE INDEX Inc_Eggs_Movement_Date_Eyed ON Inc_Eggs_Movement (Date_Eyed);

CREATE INDEX Inc_Eggs_Movement_Date_Hatched ON Inc_Eggs_Movement (Date_Hatched);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Inc_Eggs_Movement','Incubator to Incubator Moves');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Inc_Eggs_Movement','YES','YES');
--DROP TABLE Item_Category;

CREATE TABLE Item_Category (
   Item_Category varchar(50) NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Category_Item_Category ON Item_Category (Item_Category);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Category','Item Category');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Category','YES','YES');
--DROP TABLE Item_Type;

CREATE TABLE Item_Type (
   Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Item_Category varchar(50) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Type_Name ON Item_Type (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Type','Item Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Type','YES','YES');
--DROP TABLE Larvae_Batch_Id;

CREATE TABLE Larvae_Batch_Id (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   Batch_Id varchar(10) NULL,
   Total_Batch integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Batch_Id_Fish_Id ON Larvae_Batch_Id (Fish_Id,Stripping_Date,Batch_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Batch_Id','Larvae Batch Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Batch_Id','YES','YES');
--DROP TABLE Larvae_Calculator;

CREATE TABLE Larvae_Calculator (
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Batch_Id varchar(10) NULL,
   Stocking_No numeric(10,2) NULL,
   Transfer_No numeric(10,2) NULL,
   Live_No numeric(10,2) NULL,
   Dead_No numeric(10,2) NULL,
   Dead_Per numeric(10,2) NULL,
   Discard_No numeric(10,2) NULL,
   Discard_Per numeric(10,2) NULL,
   Survival_Per numeric(10,2) NULL,
   Virtual_No numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Calculator_Group_Name ON Larvae_Calculator (Group_Name,Tank_Id,Batch_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Calculator','Larvae Calculator');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Calculator','YES','YES');
--DROP TABLE Larvae_Stages;

CREATE TABLE Larvae_Stages (
   Stage_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Stage_No varchar(10) NULL,
   Larvae_Count integer NULL,
   Restocked integer NULL,
   Waste integer NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Stages_Stage_Date ON Larvae_Stages (Stage_Date,Group_Name,Tank_Id,Stage_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Stages','Larvae Stages');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Stages','YES','YES');
--DROP TABLE Larvae_Stripping;

CREATE TABLE Larvae_Stripping (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   Larvae_Produced integer NULL,
   Larvae_Wasted integer NULL,
   Tag_Id varchar(20) NULL,
   Berried_Date varchar(10) NULL,
   Hatched_Date varchar(10) NULL,
   Larvae_Condition varchar(40) NULL,
   Photo_period varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Stripping_Fish_Id ON Larvae_Stripping (Fish_Id,Stripping_Date);

CREATE INDEX Larvae_Stripping_Tag_Id ON Larvae_Stripping (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Stripping','Larvae Stripping');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Stripping','YES','YES');
--DROP TABLE Larvae_Tank;

CREATE TABLE Larvae_Tank (
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Style_Name varchar(30) NULL,
   Depth numeric(10,2) NULL,
   Tank_Volume numeric(10,2) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Group_Name ON Larvae_Tank (Group_Name,Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank','Larvae Tank');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank','YES','YES');
--DROP TABLE Larvae_Tank_Adjustment;

CREATE TABLE Larvae_Tank_Adjustment (
   Adjust_Date varchar(10) NULL,
   Adjust_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Adjust_Qty integer NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Adjustment_Adjust_Date ON Larvae_Tank_Adjustment (Adjust_Date,Adjust_Time,Group_Name,Tank_Id,Adjust_Qty);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Adjustment','Larvae Tank Adjustment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Adjustment','YES','YES');
--DROP TABLE Larvae_Tank_Feeding;

CREATE TABLE Larvae_Tank_Feeding (
   Feed_Date varchar(10) NULL,
   Feed_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   AM_Qty numeric(10,2) NULL,
   PM_Qty numeric(10,2) NULL,
   Dawn_Qty numeric(10,2) NULL,
   Harvest_Date varchar(10) NULL,
   Harvest_Time varchar(8) NULL,
   Art_Tank_Id varchar(10) NULL,
   Art_Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   Art_Type varchar(30) NULL,
   Artemia_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Feeding_Feed_Date ON Larvae_Tank_Feeding (Feed_Date,Feed_Time,Group_Name,Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Feeding','Larvae Tank Feeding');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Feeding','YES','YES');
--DROP TABLE Larvae_Tank_Flow_Rate;

CREATE TABLE Larvae_Tank_Flow_Rate (
   Check_Date varchar(10) NULL,
   Check_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Flow_Rate_Check_Date ON Larvae_Tank_Flow_Rate (Check_Date,Check_Time,Group_Name,Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Flow_Rate','Larvae Tank Flow Rate');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Flow_Rate','YES','YES');
--DROP TABLE Larvae_Tank_Mort;

CREATE TABLE Larvae_Tank_Mort (
   Mort_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Mort_Category varchar(30) NULL,
   Mort_Qty integer NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Mort_Mort_Date ON Larvae_Tank_Mort (Mort_Date,Group_Name,Tank_Id,Mort_Category);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Mort','Larvae Tank Mort');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Mort','YES','YES');
--DROP TABLE Larvae_Tank_Movement;

CREATE TABLE Larvae_Tank_Movement (
   Move_Date varchar(10) NULL,
   Move_Time varchar(8) NULL,
   From_Group_Name varchar(50) NULL,
   From_Tank_Id varchar(15) NULL,
   To_Group_Name varchar(50) NULL,
   To_Tank_Id varchar(15) NULL,
   Move_Qty integer NULL,
   Comment varchar(200) NULL,
   Stage_No varchar(10) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Movement_Move_Date ON Larvae_Tank_Movement (Move_Date,Move_Time,From_Group_Name,From_Tank_Id,To_Group_Name,To_Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Movement','Larvae Tank Movement');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Movement','YES','YES');
--DROP TABLE Larvae_Tank_Treatment;

CREATE TABLE Larvae_Tank_Treatment (
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Treatment_Name varchar(60) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larvae_Tank_Treatment_Group_Name ON Larvae_Tank_Treatment (Group_Name,Tank_Id,Treatment_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larvae_Tank_Treatment','Larvae Tank Treatment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larvae_Tank_Treatment','YES','YES');
--DROP TABLE Larve_Stocking;

CREATE TABLE Larve_Stocking (
   Stocking_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Tank_Id varchar(15) NULL,
   Batch_Id varchar(10) NULL,
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   Stocking_No integer NULL,
   Density numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Larve_Stocking_Stocking_Date ON Larve_Stocking (Stocking_Date,Group_Name,Tank_Id,Batch_Id,Fish_Id,Stripping_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Larve_Stocking','Larve Stocking');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Larve_Stocking','YES','YES');
--DROP TABLE Lay_Down;

CREATE TABLE Lay_Down (
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   No_Degree_Day integer NULL,
   Days_Left numeric(10,2) NULL,
   Degrees_Days_Left numeric(10,2) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Lay_Down_Incubator_Id ON Lay_Down (Incubator_Id,Lay_Date);

CREATE INDEX Lay_Down_Stock_Name ON Lay_Down (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Lay_Down','Lay Down');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Lay_Down','YES','YES');
--DROP TABLE Lay_Health;

CREATE TABLE Lay_Health (
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Health_Date varchar(10) NULL,
   Anti_Fungal varchar(4) NULL,
   Comments varchar(150) NULL,
   Staff_Name varchar(20) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Lay_Health_Incubator_Id ON Lay_Health (Incubator_Id,Lay_Date,Health_Date);

CREATE INDEX Lay_Health_Stock_Name ON Lay_Health (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Lay_Health','Incubator Health');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Lay_Health','YES','YES');
--DROP TABLE Lay_Times;

CREATE TABLE Lay_Times (
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Logger_Date varchar(10) NULL,
   Temperature numeric(10,2) NULL,
   DOsn numeric(10,2) NULL,
   DOnt numeric(10,2) NULL,
   DOts numeric(10,2) NULL,
   DOst numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Lay_Times_Incubator_Id ON Lay_Times (Incubator_Id,Lay_Date,Logger_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Lay_Times','Lay Times');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Lay_Times','YES','YES');
--DROP TABLE Mainstream_Sale;

CREATE TABLE Mainstream_Sale (
   Harvest_Ref_No integer NULL,
   Customer_Name varchar(30) NULL,
   Harvest_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mainstream_Sale_Harvest_Ref_No ON Mainstream_Sale (Harvest_Ref_No,Customer_Name,Harvest_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mainstream_Sale','Mainstream Harvest Sale');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mainstream_Sale','YES','YES');
--DROP TABLE Mainstream_Sale_Tank;

CREATE TABLE Mainstream_Sale_Tank (
   Harvest_Ref_No integer NULL,
   Customer_Name varchar(30) NULL,
   Harvest_Date varchar(10) NULL,
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Kg_Out numeric(10,2) NULL,
   Avg_Fish_Weight numeric(10,2) NULL,
   Sales_Class_Name varchar(20) NULL,
   Fish_Out integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Mainstream_Sale_Tank_Harvest_Ref_No ON Mainstream_Sale_Tank (Harvest_Ref_No,Customer_Name,Harvest_Date,Fish_Id,Tank_Id,Date_Assigned,Kg_Out);

CREATE INDEX Mainstream_Sale_Tank_Sales_Class_Name ON Mainstream_Sale_Tank (Sales_Class_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mainstream_Sale_Tank','Mainstream Sale Tank');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mainstream_Sale_Tank','YES','YES');
--DROP TABLE Maintanence_Type;

CREATE TABLE Maintanence_Type (
   Name varchar(20) NULL,
   Item_Name varchar(20) NULL,
   Description varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintanence_Type_Name ON Maintanence_Type (Name,Item_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintanence_Type','Maintanence Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintanence_Type','YES','YES');
--DROP TABLE Maintenance_Item;

CREATE TABLE Maintenance_Item (
   Job_No varchar(15) NULL,
   Maint_Schedule_Date varchar(10) NULL,
   Completed_Date varchar(10) NULL,
   Completed_Time varchar(8) NULL,
   Work_Staff_Name varchar(20) NULL,
   Maint_Details varchar(255) NULL,
   Replaced_Name varchar(40) NULL,
   Replaced_Type_Name varchar(20) NULL,
   Items_Used integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Item_Job_No ON Maintenance_Item (Job_No,Maint_Schedule_Date,Completed_Date,Completed_Time);

CREATE INDEX Maintenance_Item_Work_Staff_Name ON Maintenance_Item (Work_Staff_Name);

CREATE INDEX Maintenance_Item_Replaced_Name ON Maintenance_Item (Replaced_Name);

CREATE INDEX Maintenance_Item_Replaced_Type_Name ON Maintenance_Item (Replaced_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Item','Maintenance Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Item','YES','YES');
--DROP TABLE Maintenance_Schedule;

CREATE TABLE Maintenance_Schedule (
   Job_No integer NULL,
   Schedule_Date varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Maint_Type_Name varchar(20) NULL,
   Item_Name varchar(20) NULL,
   Urgent_Att varchar(4) NULL,
   Suggest_Action varchar(150) NULL,
   Staff_Maint_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Period varchar(20) NULL,
   Monday bit NULL,
   Monday_Pm bit NULL,
   Tuesday bit NULL,
   Tuesday_Pm bit NULL,
   Wednesday bit NULL,
   Wednesday_Pm bit NULL,
   Thursday bit NULL,
   Thursday_Pm bit NULL,
   Friday bit NULL,
   Friday_Pm bit NULL,
   Saturday bit NULL,
   Saturday_Pm bit NULL,
   Sunday bit NULL,
   Sunday_Pm bit NULL,
   Specific_Date1 varchar(10) NULL,
   Specific_Date2 varchar(10) NULL,
   Specific_Time varchar(8) NULL,
   Frequency varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Schedule_Job_No ON Maintenance_Schedule (Job_No,Schedule_Date);

CREATE INDEX Maintenance_Schedule_Tank_Id ON Maintenance_Schedule (Tank_Id);

CREATE INDEX Maintenance_Schedule_Maint_Type_Name ON Maintenance_Schedule (Maint_Type_Name);

CREATE INDEX Maintenance_Schedule_Item_Name ON Maintenance_Schedule (Item_Name);

CREATE INDEX Maintenance_Schedule_Staff_Maint_Name ON Maintenance_Schedule (Staff_Maint_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Schedule','Maintenance Schedule');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Schedule','YES','YES');
--DROP TABLE Maint_Request;

CREATE TABLE Maint_Request (
   Maint_No integer NULL,
   Request_Date varchar(10) NULL,
   Status varchar(15) NULL,
   Request_Name varchar(60) NULL,
   Ack_Date varchar(10) NULL,
   Hazard varchar(150) NULL,
   Cause varchar(150) NULL,
   Ack_Name varchar(60) NULL,
   Ack_Details varchar(255) NULL,
   Request_Details varchar(255) NULL,
   Action_Date varchar(10) NULL,
   Action_Name varchar(60) NULL,
   Action_Taken varchar(255) NULL,
   Request_Priority varchar(10) NULL,
   Ack_Priority varchar(10) NULL,
   Assigned_Name varchar(60) NULL,
   Est_Time varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maint_Request_Maint_No ON Maint_Request (Maint_No);

CREATE INDEX Maint_Request_Request_Date ON Maint_Request (Request_Date);

CREATE INDEX Maint_Request_Request_Name ON Maint_Request (Request_Name);

CREATE INDEX Maint_Request_Ack_Name ON Maint_Request (Ack_Name);

CREATE INDEX Maint_Request_Action_Name ON Maint_Request (Action_Name);

CREATE INDEX Maint_Request_Assigned_Name ON Maint_Request (Assigned_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maint_Request','Maintenance Request');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maint_Request','YES','YES');
--DROP TABLE Monitoring_Parameters;

CREATE TABLE Monitoring_Parameters (
   Record_Id integer NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Monitor_Date varchar(10) NULL,
   Monitor_Time varchar(8) NULL,
   Group_Name varchar(50) NULL,
   Parameters_Name varchar(30) NULL,
   Parameter_Value_Max varchar(20) NULL,
   Parameter_Value_Min varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Parameters_Record_Id ON Monitoring_Parameters (Record_Id,Company_Name,Site_Name,Monitor_Date,Monitor_Time,Group_Name,Parameters_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Parameters','Monitoring Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Parameters','YES','YES');
--DROP TABLE Monitoring_Schedule;

CREATE TABLE Monitoring_Schedule (
   Record_Id integer NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Monitor_Date varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Supervisor_Name varchar(20) NULL,
   am_02 numeric(10,2) NULL,
   pm_02 numeric(10,2) NULL,
   TDS numeric(10,3) NULL,
   temp_am numeric(10,2) NULL,
   temp_pm numeric(10,2) NULL,
   ph_am numeric(10,2) NULL,
   salinity_am numeric(10,2) NULL,
   ammonia_am numeric(10,2) NULL,
   ORP numeric(10,2) NULL,
   Nitrite numeric(10,2) NULL,
   nitrate_am numeric(10,2) NULL,
   Purge_Brush varchar(4) NULL,
   Lines_Screens varchar(4) NULL,
   Backflush varchar(4) NULL,
   Guerney varchar(4) NULL,
   Service_Air_Lines varchar(4) NULL,
   Barrel_Pull_Down varchar(4) NULL,
   Chlorine_Treatment varchar(10) NULL,
   Chlorine_Qty numeric(10,2) NULL,
   Tank_Id varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Schedule_Record_Id ON Monitoring_Schedule (Record_Id,Company_Name,Site_Name,Monitor_Date,Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Schedule','Environment Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Schedule','YES','YES');
--DROP TABLE Morts;

CREATE TABLE Morts (
   Mort_Date varchar(10) NULL,
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Staff_Name varchar(20) NULL,
   Water_Temperature numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Morts_Mort_Date ON Morts (Mort_Date,Fish_Id,Tank_Id,Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Morts','Morts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Morts','YES','YES');
--DROP TABLE Mort_Category;

CREATE TABLE Mort_Category (
   Mort_Category varchar(30) NULL,
   Default_Entry varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Category_Mort_Category ON Mort_Category (Mort_Category);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Category','Mort Category');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Category','YES','YES');
--DROP TABLE Mort_Items;

CREATE TABLE Mort_Items (
   Mort_Date varchar(10) NULL,
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Mort_Category varchar(30) NULL,
   Mort_Count integer NULL,
   Tag_Id varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Items_Mort_Date ON Mort_Items (Mort_Date,Fish_Id,Tank_Id,Date_Assigned,Mort_Category);

CREATE INDEX Mort_Items_Tag_Id ON Mort_Items (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Items','Mort Items');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Items','YES','YES');
--DROP TABLE Orders;

CREATE TABLE Orders (
   Order_No varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Supplier_Name varchar(30) NULL,
   Status varchar(20) NULL,
   Exp_Del_Date varchar(10) NULL,
   Delivery_Detail varchar(300) NULL,
   Carrier varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Orders_Order_No ON Orders (Order_No,Order_Date);

CREATE INDEX Orders_Supplier_Name ON Orders (Supplier_Name);

CREATE INDEX Orders_Exp_Del_Date ON Orders (Exp_Del_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Orders','Purchase Feed Order');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Orders','YES','YES');
--DROP TABLE Order_Item;

CREATE TABLE Order_Item (
   Order_No varchar(20) NULL,
   Supplier_Name varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Qty_Ordered numeric(10,2) NULL,
   Status varchar(20) NULL,
   Exp_Del_Date varchar(10) NULL,
   Cost_Price numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Order_Item_Order_No ON Order_Item (Order_No,Supplier_Name,Stock_Name);

CREATE INDEX Order_Item_Stock_Item_Type ON Order_Item (Stock_Item_Type);

CREATE INDEX Order_Item_Order_Date ON Order_Item (Order_Date);

CREATE INDEX Order_Item_Exp_Del_Date ON Order_Item (Exp_Del_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Order_Item','Feed Order Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Order_Item','YES','YES');
--DROP TABLE Package_Size;

CREATE TABLE Package_Size (
   Pack_Size varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Size_Pack_Size ON Package_Size (Pack_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Size','Package Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Size','YES','YES');
--DROP TABLE Package_Type;

CREATE TABLE Package_Type (
   Pack_Type varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Type_Pack_Type ON Package_Type (Pack_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Type','Package Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Type','YES','YES');
--DROP TABLE Pack_Detail;

CREATE TABLE Pack_Detail (
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Date_Packed varchar(10) NULL,
   Fish_Type varchar(20) NULL,
   Eggs_Carton integer NULL,
   Eggs_Litre numeric(10,2) NULL,
   Custoner_Name varchar(30) NULL,
   Order_No varchar(20) NULL,
   Order_Date varchar(10) NULL,
   Harvest_Ref_No varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pack_Detail_Incubator_Id ON Pack_Detail (Incubator_Id,Lay_Date,Date_Packed);

CREATE INDEX Pack_Detail_Fish_Type ON Pack_Detail (Fish_Type);

CREATE INDEX Pack_Detail_Custoner_Name ON Pack_Detail (Custoner_Name);

CREATE INDEX Pack_Detail_Order_No ON Pack_Detail (Order_No);

CREATE INDEX Pack_Detail_Order_Date ON Pack_Detail (Order_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pack_Detail','Pack Detail');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pack_Detail','YES','YES');
--DROP TABLE Parameter;

CREATE TABLE Parameter (
   Name varchar(30) NULL,
   Description varchar(50) NULL,
   Start_Range varchar(20) NULL,
   End_Range varchar(20) NULL,
   Optimum_Start_Range varchar(20) NULL,
   Optimum_End_Range varchar(20) NULL,
   Upper_Critical_Limit varchar(20) NULL,
   Upper_Response varchar(200) NULL,
   Lower_Critical_Limit varchar(20) NULL,
   Lower_Response varchar(200) NULL,
   Report_Column_No integer NULL,
   Unit_of_Measure varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Parameter_Name ON Parameter (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Parameter','Parameter');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Parameter','YES','YES');
--DROP TABLE Passwords;

CREATE TABLE Passwords (
   Password_Id varchar(20) NULL,
   Value varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Passwords_Password_Id ON Passwords (Password_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Passwords','Passwords');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Passwords','YES','YES');
--DROP TABLE Pellet_Size_Item;

CREATE TABLE Pellet_Size_Item (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Date_Created varchar(10) NULL,
   Weight_Start_Range numeric(10,2) NULL,
   Weight_End_Range numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pellet_Size_Item_Stock_Name ON Pellet_Size_Item (Stock_Name,Item_Type_Name,Date_Created,Weight_Start_Range,Weight_End_Range);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pellet_Size_Item','Pellet Size Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pellet_Size_Item','YES','YES');
--DROP TABLE Pen;

CREATE TABLE Pen (
   Fish_Id varchar(10) NULL,
   Src_Fish_Id varchar(10) NULL,
   Create_Date varchar(10) NULL,
   Customer varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL,
   Smolt_Total integer NULL,
   Mort_Deaths integer NULL,
   Swim_Off integer NULL,
   Swim_To integer NULL,
   Graded_From integer NULL,
   Graded integer NULL,
   Delivered_Count integer NULL,
   Fish_Total integer NULL,
   Total_Feed numeric(10,2) NULL,
   Biomass numeric(10,2) NULL,
   Avg_Weight numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Fish_Type varchar(20) NULL,
   Stock_Size varchar(30) NULL,
   Fish_Sex varchar(15) NULL,
   Adjust_Count integer NULL,
   Graded_Fish varchar(4) NULL,
   Grade_Start_Weight numeric(10,2) NULL,
   Start_Fish_Count integer NULL,
   Status varchar(10) NULL,
   Status_Date_Changed varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_Fish_Id ON Pen (Fish_Id);

CREATE INDEX Pen_Src_Fish_Id ON Pen (Src_Fish_Id);

CREATE INDEX Pen_Create_Date ON Pen (Create_Date);

CREATE INDEX Pen_Customer ON Pen (Customer);

CREATE INDEX Pen_Stock_Name ON Pen (Stock_Name);

CREATE INDEX Pen_Stock_Item_Type ON Pen (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen','Fish Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen','YES','YES');
--DROP TABLE Pen_FCR;

CREATE TABLE Pen_FCR (
   Fish_Id varchar(10) NULL,
   FCR_Name varchar(30) NULL,
   Start_Date varchar(10) NULL,
   End_Date varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_FCR_Fish_Id ON Pen_FCR (Fish_Id,FCR_Name,Start_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen_FCR','Fish Id to FCR Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen_FCR','YES','YES');
--DROP TABLE Position_Type;

CREATE TABLE Position_Type (
   Position_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Position_Type_Position_Name ON Position_Type (Position_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Position_Type','Position Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Position_Type','YES','YES');
--DROP TABLE Predator;

CREATE TABLE Predator (
   Predator_Name varchar(80) NULL,
   Image_Location varchar(50) NULL,
   Control_Method varchar(512) NULL,
   Treatment_File varchar(120) NULL
);

CREATE UNIQUE CLUSTERED INDEX Predator_Predator_Name ON Predator (Predator_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Predator','Predator');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Predator','YES','YES');
--DROP TABLE Predator_Sighting;

CREATE TABLE Predator_Sighting (
   Sighting_Date varchar(10) NULL,
   Sighting_Time varchar(8) NULL,
   Predator_Name varchar(80) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Numbers_Counted integer NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Predator_Sighting_Sighting_Date ON Predator_Sighting (Sighting_Date,Sighting_Time,Predator_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Predator_Sighting','Predator Sighting');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Predator_Sighting','YES','YES');
--DROP TABLE Probe_Identification;

CREATE TABLE Probe_Identification (
   Probe_Name varchar(60) NULL,
   Company_Name varchar(30) NULL,
   Probe_Site_Id varchar(20) NULL,
   Site_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Probe_Identification_Probe_Name ON Probe_Identification (Probe_Name,Company_Name,Probe_Site_Id,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Probe_Identification','Probe Identification');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Probe_Identification','YES','YES');
--DROP TABLE Product_Size;

CREATE TABLE Product_Size (
   Prod_Size varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Product_Size_Prod_Size ON Product_Size (Prod_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Product_Size','Product / Pellet Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Product_Size','YES','YES');
--DROP TABLE Report_Options;

CREATE TABLE Report_Options (
   Record_Id integer NULL,
   Add_Title varchar(4) NULL,
   Company_Details varchar(4) NULL,
   Zeros varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Report_Options_Record_Id ON Report_Options (Record_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Report_Options','Report Options');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Report_Options','YES','YES');
--DROP TABLE Rotifer_Harvest;

CREATE TABLE Rotifer_Harvest (
   Harvest_Date varchar(10) NULL,
   Harvest_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   Harvest_Rate numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Rotifer_Harvest_Harvest_Date ON Rotifer_Harvest (Harvest_Date,Harvest_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Rotifer_Harvest','Rotifer Harvest');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Rotifer_Harvest','YES','YES');
--DROP TABLE Rotifer_Production;

CREATE TABLE Rotifer_Production (
   Check_Date varchar(10) NULL,
   Check_Time varchar(8) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Work_Staff_Name varchar(20) NULL,
   DO numeric(10,2) NULL,
   DO_sat numeric(10,2) NULL,
   Temperature numeric(10,2) NULL,
   Salinity numeric(10,2) NULL,
   NH3 numeric(10,2) NULL,
   NO2 numeric(10,2) NULL,
   Rot_Density numeric(10,2) NULL,
   Fertility numeric(10,2) NULL,
   Harvest_Rate numeric(10,2) NULL,
   Algae_Added numeric(10,2) NULL,
   Algae_Age integer NULL,
   Screens varchar(4) NULL,
   Floc_Traps varchar(4) NULL,
   Air_Stones varchar(4) NULL,
   Fridge varchar(4) NULL,
   Buckets varchar(4) NULL,
   Tank varchar(4) NULL,
   Hoses varchar(4) NULL,
   Disease_Name varchar(80) NULL,
   Disease_Comment_1 varchar(200) NULL,
   Inoculated varchar(4) NULL,
   Enrichment varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Rotifer_Production_Check_Date ON Rotifer_Production (Check_Date,Check_Time,Tank_Id,Group_Name,Work_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Rotifer_Production','Rotifer Production');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Rotifer_Production','YES','YES');
--DROP TABLE Rotifer_Prod_Parameters;

CREATE TABLE Rotifer_Prod_Parameters (
   Scheme_Name varchar(30) NULL,
   Is_Default varchar(4) NULL,
   DO_Min numeric(10,2) NULL,
   DO_sat_Min numeric(10,2) NULL,
   Temperature_Min numeric(10,2) NULL,
   Salinity_Min numeric(10,2) NULL,
   NH3_Min numeric(10,2) NULL,
   NO2_Min numeric(10,2) NULL,
   DO_Max numeric(10,2) NULL,
   DO_sat_Max numeric(10,2) NULL,
   Temperature_Max numeric(10,2) NULL,
   Salinity_Max numeric(10,2) NULL,
   NH3_Max numeric(10,2) NULL,
   NO2_Max numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Rotifer_Prod_Parameters_Scheme_Name ON Rotifer_Prod_Parameters (Scheme_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Rotifer_Prod_Parameters','Rotifer Production Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Rotifer_Prod_Parameters','YES','YES');
--DROP TABLE Sales_Class;

CREATE TABLE Sales_Class (
   Sales_Class_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Sales_Class_Sales_Class_Name ON Sales_Class (Sales_Class_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Sales_Class','Sales Class');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Sales_Class','YES','YES');
--DROP TABLE Sale_Item;

CREATE TABLE Sale_Item (
   Customer_Name varchar(30) NULL,
   Sale_Date varchar(10) NULL,
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Qty_Sold numeric(10,2) NULL,
   Sold_Avg_Weight numeric(10,2) NULL,
   Sold_Price_Each numeric(10,2) NULL,
   Sold_Total_Weight numeric(10,2) NULL,
   Comments varchar(150) NULL
);

CREATE UNIQUE CLUSTERED INDEX Sale_Item_Customer_Name ON Sale_Item (Customer_Name,Sale_Date,Fish_Id,Tank_Id,Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Sale_Item','Fish Sale Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Sale_Item','YES','YES');
--DROP TABLE SeqNum;

CREATE TABLE SeqNum (
   tablename varchar(30) NULL,
   nextid integer NULL
);

CREATE UNIQUE CLUSTERED INDEX SeqNum_tablename ON SeqNum (tablename);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('SeqNum','Sequence Number');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','SeqNum','YES','YES');
--DROP TABLE Ship_Out;

CREATE TABLE Ship_Out (
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Date_Shocked varchar(10) NULL,
   Date_Picked varchar(10) NULL,
   Eggs_In integer NULL,
   Eggs_Out integer NULL,
   Eggs_Balance integer NULL,
   Bal_Percent numeric(10,2) NULL,
   Sample_Date varchar(10) NULL,
   Allowance numeric(10,2) NULL,
   Weight varchar(10) NULL,
   Eggs_Total integer NULL,
   Egg_Colour varchar(20) NULL,
   Egg_Density varchar(20) NULL,
   Egg_Shape varchar(20) NULL,
   Egg_Activity varchar(20) NULL,
   Egg_Condition varchar(20) NULL,
   Egg_Size varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Ship_Out_Incubator_Id ON Ship_Out (Incubator_Id,Lay_Date);

CREATE INDEX Ship_Out_Date_Shocked ON Ship_Out (Date_Shocked);

CREATE INDEX Ship_Out_Date_Picked ON Ship_Out (Date_Picked);

CREATE INDEX Ship_Out_Sample_Date ON Ship_Out (Sample_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Ship_Out','Ship Out');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Ship_Out','YES','YES');
--DROP TABLE Site_Location;

CREATE TABLE Site_Location (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Site_Abbrev_Name varchar(3) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Map_Location varchar(50) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Company_Name ON Site_Location (Company_Name,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location','Site Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location','YES','YES');
--DROP TABLE Site_Location_Item;

CREATE TABLE Site_Location_Item (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Item_Company_Name ON Site_Location_Item (Company_Name,Site_Name,Stock_Name,Item_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location_Item','Site Location Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location_Item','YES','YES');
--DROP TABLE Site_Stock_Item;

CREATE TABLE Site_Stock_Item (
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Stock_Name varchar(40) NULL,
   Order_No varchar(20) NULL,
   Delivered_Date varchar(10) NULL,
   Carrier_Name varchar(30) NULL,
   Qty_Received integer NULL,
   Site_Location_Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Stock_Item_Company_Name ON Site_Stock_Item (Company_Name,Site_Name,Stock_Name,Order_No,Delivered_Date);

CREATE INDEX Site_Stock_Item_Carrier_Name ON Site_Stock_Item (Carrier_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Stock_Item','Site Stock Item Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Stock_Item','YES','YES');
--DROP TABLE Staff;

CREATE TABLE Staff (
   Name varchar(20) NULL,
   Home_No varchar(15) NULL,
   Mobile_No varchar(20) NULL,
   Address varchar(40) NULL,
   Emergency_Name varchar(20) NULL,
   Em_Home_Ph varchar(15) NULL,
   Em_Work_Ph varchar(15) NULL,
   Emerg_Mobile_No varchar(15) NULL,
   Emg_Relationship varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Name ON Staff (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff','Staff');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff','YES','YES');
--DROP TABLE Staff_Position;

CREATE TABLE Staff_Position (
   Staff_Name varchar(30) NULL,
   Position_Held varchar(30) NULL,
   Date_Joined varchar(10) NULL,
   Transfer_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Position_Staff_Name ON Staff_Position (Staff_Name,Position_Held,Date_Joined);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff_Position','Staff Position');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff_Position','YES','YES');
--DROP TABLE Stock_Density;

CREATE TABLE Stock_Density (
   Name varchar(20) NULL,
   Jan integer NULL,
   Feb integer NULL,
   Mar integer NULL,
   Apr integer NULL,
   May integer NULL,
   Jun integer NULL,
   Jul integer NULL,
   Aug integer NULL,
   Sep integer NULL,
   Oct integer NULL,
   Nov integer NULL,
   December integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Density_Name ON Stock_Density (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Density','Stock Density');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Density','YES','YES');
--DROP TABLE Stock_Item;

CREATE TABLE Stock_Item (
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Serial_No varchar(30) NULL,
   Product_Size varchar(10) NULL,
   Package_Size varchar(10) NULL,
   Package_Type varchar(10) NULL,
   Product_Length varchar(10) NULL,
   Sink_Rate numeric(10,2) NULL,
   Head_Code varchar(10) NULL,
   Price_kg numeric(10,2) NULL,
   Stocktake numeric(10,2) NULL,
   Last_Stocktake numeric(10,2) NULL,
   Cost_Price numeric(10,2) NULL,
   Medicated_Feed varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Item_Stock_Name ON Stock_Item (Stock_Name,Item_Type_Name);

CREATE INDEX Stock_Item_Product_Size ON Stock_Item (Product_Size);

CREATE INDEX Stock_Item_Package_Size ON Stock_Item (Package_Size);

CREATE INDEX Stock_Item_Package_Type ON Stock_Item (Package_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Item','Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Item','YES','YES');
--DROP TABLE Stripping;

CREATE TABLE Stripping (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   Incubator_Id varchar(10) NULL,
   Lay_Date varchar(10) NULL,
   Fish_No integer NULL,
   Total_Eggs integer NULL,
   Avg_Size numeric(10,2) NULL,
   Name1 varchar(20) NULL,
   Name2 varchar(20) NULL,
   Tag_Id varchar(20) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL,
   Egg_Colour varchar(20) NULL,
   Egg_Density varchar(20) NULL,
   Egg_Shape varchar(20) NULL,
   Egg_Activity varchar(20) NULL,
   Egg_Condition varchar(20) NULL,
   Egg_Size varchar(20) NULL,
   Fertilisation_Date varchar(10) NULL,
   Fertilisation_Time varchar(8) NULL,
   No_Eggs_Fertilised numeric(10,2) NULL,
   Fertilisation_Rate numeric(10,2) NULL,
   Egg_Quality varchar(15) NULL,
   Sperm_Quality varchar(15) NULL,
   Hatch_Out_Rate numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Stripping_Fish_Id ON Stripping (Fish_Id,Stripping_Date,Incubator_Id,Lay_Date);

CREATE INDEX Stripping_Name1 ON Stripping (Name1);

CREATE INDEX Stripping_Name2 ON Stripping (Name2);

CREATE INDEX Stripping_Tag_Id ON Stripping (Tag_Id);

CREATE INDEX Stripping_Stock_Name ON Stripping (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stripping','Stripping / Spawning');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stripping','YES','YES');
--DROP TABLE Supplier;

CREATE TABLE Supplier (
   Name varchar(30) NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(50) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Name ON Supplier (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier','Supplier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier','YES','YES');
--DROP TABLE Supplier_Stock_Item;

CREATE TABLE Supplier_Stock_Item (
   Supplier_Name varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Stock_Item_Supplier_Name ON Supplier_Stock_Item (Supplier_Name,Stock_Name);

CREATE INDEX Supplier_Stock_Item_Stock_Item_Type ON Supplier_Stock_Item (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier_Stock_Item','Supplier Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier_Stock_Item','YES','YES');
--DROP TABLE Swim_Thru;

CREATE TABLE Swim_Thru (
   Date_Swim_Thru varchar(10) NULL,
   Move_Time varchar(8) NULL,
   Source_Fish_Id varchar(10) NULL,
   Source_Tank_Id varchar(10) NULL,
   Src_Date_Assigned varchar(10) NULL,
   Dest_Fish_Id varchar(10) NULL,
   Dest_Tank_Id varchar(10) NULL,
   Dest_Date_Assigned varchar(10) NULL,
   No_Fish_Swum_Off integer NULL,
   Avg_Weight numeric(10,2) NULL,
   Reason_For_Swim_Thru varchar(100) NULL,
   Leading_Hand_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Tag_Id varchar(20) NULL,
   Sales_Class_Name varchar(20) NULL,
   Kg_Remaining numeric(10,2) NULL,
   Fish_Remaining integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Swim_Thru_Date_Swim_Thru ON Swim_Thru (Date_Swim_Thru,Move_Time,Source_Fish_Id,Source_Tank_Id,Src_Date_Assigned,Dest_Fish_Id,Dest_Tank_Id,Dest_Date_Assigned);

CREATE INDEX Swim_Thru_Leading_Hand_Name ON Swim_Thru (Leading_Hand_Name);

CREATE INDEX Swim_Thru_Tag_Id ON Swim_Thru (Tag_Id);

CREATE INDEX Swim_Thru_Sales_Class_Name ON Swim_Thru (Sales_Class_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Swim_Thru','Fish Movements');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Swim_Thru','YES','YES');
--DROP TABLE System_Defaults;

CREATE TABLE System_Defaults (
   Record_Id integer NULL,
   Avg_Weight varchar(5) NULL
);

CREATE UNIQUE CLUSTERED INDEX System_Defaults_Record_Id ON System_Defaults (Record_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('System_Defaults','System Defaults');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','System_Defaults','YES','YES');
--DROP TABLE Tag_Id;

CREATE TABLE Tag_Id (
   Tag_Id varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tag_Id_Tag_Id ON Tag_Id (Tag_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tag_Id','Tag Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tag_Id','YES','YES');
--DROP TABLE Tank;

CREATE TABLE Tank (
   Tank_Id varchar(10) NULL,
   In_Use varchar(4) NULL,
   New_Tank_Size numeric(10,2) NULL,
   Measurement varchar(20) NULL,
   Tank_Size varchar(10) NULL,
   Tank_Registration_No varchar(40) NULL,
   Year_Installed integer NULL,
   Group_Name varchar(50) NULL,
   Comment varchar(200) NULL,
   Cost_Price numeric(10,2) NULL,
   Length numeric(10,2) NULL,
   Radius numeric(10,2) NULL,
   Width numeric(10,2) NULL,
   Depth numeric(10,2) NULL,
   Cubicm numeric(10,2) NULL,
   Order_No_Tank_Group integer NULL,
   Tank_Use varchar(15) NULL,
   Reports varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Tank_Id ON Tank (Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank','Tank / Pond');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank','YES','YES');
--DROP TABLE Tank_Assignment;

CREATE TABLE Tank_Assignment (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Comment varchar(200) NULL,
   Swim_Off integer NULL,
   Swim_To integer NULL,
   Graded_From integer NULL,
   Graded integer NULL,
   Tank_Size varchar(10) NULL,
   Fish_Count integer NULL,
   Mort_Deaths integer NULL,
   Total_Feed numeric(10,2) NULL,
   Biomass_Alarm numeric(10,2) NULL,
   Date_UnAssigned varchar(10) NULL,
   Water_Temp numeric(10,2) NULL,
   UV_Light varchar(4) NULL,
   Water_Flow numeric(10,2) NULL,
   Comments varchar(200) NULL,
   Treatment_Used varchar(4) NULL,
   Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL,
   Treatment_Qty numeric(10,2) NULL,
   Avg_Weight numeric(10,2) NULL,
   Biomass numeric(10,2) NULL,
   Feed_Forecast numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Assignment_Fish_Id ON Tank_Assignment (Fish_Id,Tank_Id,Date_Assigned);

CREATE INDEX Tank_Assignment_Date_UnAssigned ON Tank_Assignment (Date_UnAssigned);

CREATE INDEX Tank_Assignment_Stock_Name ON Tank_Assignment (Stock_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Assignment','Fish to Tank Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Assignment','YES','YES');
--DROP TABLE Tank_Count_Adjust;

CREATE TABLE Tank_Count_Adjust (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Adjust_Date varchar(10) NULL,
   Adjust_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Count_Adjust_Fish_Id ON Tank_Count_Adjust (Fish_Id,Tank_Id,Date_Assigned,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Count_Adjust','Tank Count Adjustments');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Count_Adjust','YES','YES');
--DROP TABLE Tank_Group;

CREATE TABLE Tank_Group (
   Group_Name varchar(50) NULL,
   Comment varchar(255) NULL,
   Surface_Area integer NULL,
   Max_Weight numeric(10,2) NULL,
   Layout_Style varchar(20) NULL,
   Order_No_in_Site integer NULL,
   Orientation_on_Site varchar(10) NULL,
   Feed_Method varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Group_Group_Name ON Tank_Group (Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Group','Tank / Pond Group');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Group','YES','YES');
--DROP TABLE Tank_Health;

CREATE TABLE Tank_Health (
   Check_Date varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Group_Name varchar(50) NULL,
   Staff_Name varchar(30) NULL,
   Comment varchar(255) NULL,
   Vac_Date varchar(10) NULL,
   Vac_Details varchar(100) NULL,
   Vac_Method varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Health_Check_Date ON Tank_Health (Check_Date,Tank_Id,Group_Name,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Health','Tank Health');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Health','YES','YES');
--DROP TABLE Tank_Pond_Size;

CREATE TABLE Tank_Pond_Size (
   Tank_Size numeric(10,2) NULL,
   Measurement varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Pond_Size_Tank_Size ON Tank_Pond_Size (Tank_Size,Measurement);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Pond_Size','Tank Pond Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Pond_Size','YES','YES');
--DROP TABLE Tank_Style;

CREATE TABLE Tank_Style (
   Style_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Style_Style_Name ON Tank_Style (Style_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Style','Tank Style');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Style','YES','YES');
--DROP TABLE Tank_Weight;

CREATE TABLE Tank_Weight (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Weight_Date varchar(10) NULL,
   Total_Fish numeric(6,0) NULL,
   Weight_Method varchar(10) NULL,
   Avg_Live_Weight numeric(10,2) NULL,
   Weight_Coefficient varchar(10) NULL,
   Weight_Variation varchar(10) NULL,
   Weight_Comment varchar(100) NULL,
   Tag_Id varchar(20) NULL,
   Tank_Count numeric(10,2) NULL,
   Prev_Weight_Check numeric(10,2) NULL,
   Prev_Tank_Count numeric(10,2) NULL,
   Sales_Class_Name varchar(20) NULL,
   Biomass numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tank_Weight_Fish_Id ON Tank_Weight (Fish_Id,Tank_Id,Date_Assigned,Weight_Date);

CREATE INDEX Tank_Weight_Tag_Id ON Tank_Weight (Tag_Id);

CREATE INDEX Tank_Weight_Sales_Class_Name ON Tank_Weight (Sales_Class_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tank_Weight','Tank / Pond Weight Check');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tank_Weight','YES','YES');
--DROP TABLE Temperature;

CREATE TABLE Temperature (
   Temp_Year integer NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Jan numeric(3,1) NULL,
   Feb numeric(3,1) NULL,
   Mar numeric(3,1) NULL,
   Apr numeric(3,1) NULL,
   May numeric(3,1) NULL,
   Jun numeric(3,1) NULL,
   Jul numeric(3,1) NULL,
   Aug numeric(3,1) NULL,
   Sep numeric(3,1) NULL,
   Oct numeric(3,1) NULL,
   Nov numeric(3,1) NULL,
   December numeric(3,1) NULL
);

CREATE UNIQUE CLUSTERED INDEX Temperature_Temp_Year ON Temperature (Temp_Year,Company_Name,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Temperature','Water Temperature');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Temperature','YES','YES');
--DROP TABLE Treatment;

CREATE TABLE Treatment (
   Treatment_Name varchar(60) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Treatment_Treatment_Name ON Treatment (Treatment_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Treatment','Treatment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Treatment','YES','YES');
--DROP TABLE Trough;

CREATE TABLE Trough (
   Trough_Id varchar(20) NULL,
   Trough_Type varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Trough_Trough_Id ON Trough (Trough_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Trough','Trough');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Trough','YES','YES');
--DROP TABLE Trough_Tank;

CREATE TABLE Trough_Tank (
   Fish_Id varchar(10) NULL,
   Stripping_Date varchar(10) NULL,
   From_Incubator_Id varchar(10) NULL,
   Moved_Date varchar(10) NULL,
   Moved_Time varchar(8) NULL,
   To_Trough_Id varchar(20) NULL,
   To_Tank_Id varchar(10) NULL,
   Tank_Move_Date varchar(10) NULL,
   New_Fish_Id varchar(10) NULL,
   No_of_Fish integer NULL,
   Avg_Live_Weight numeric(10,2) NULL,
   Date_Empty varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Trough_Tank_Fish_Id ON Trough_Tank (Fish_Id,Stripping_Date,From_Incubator_Id,Moved_Date,Moved_Time,To_Trough_Id,To_Tank_Id,Tank_Move_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Trough_Tank','Trough to Tank Movement');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Trough_Tank','YES','YES');
--DROP TABLE URIGHTS;

CREATE TABLE URIGHTS (
   USER_ID varchar(30) NULL,
   TABLE_NAME varchar(50) NULL,
   USTORE varchar(4) NULL,
   UDELETE varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX URIGHTS_USER_ID ON URIGHTS (USER_ID,TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('URIGHTS','URIGHTS');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','URIGHTS','YES','YES');
--DROP TABLE USERIDS;

CREATE TABLE USERIDS (
   USER_ID varchar(30) NULL,
   NPASSWORD varchar(30) NULL,
   Staff_Name varchar(20) NULL,
   Start_up_file varchar(128) NULL,
   User_Status varchar(10) NULL,
   INI_File varchar(128) NULL,
   On_Exit_Run varchar(128) NULL
);

CREATE UNIQUE CLUSTERED INDEX USERIDS_USER_ID ON USERIDS (USER_ID);

CREATE INDEX USERIDS_Staff_Name ON USERIDS (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('USERIDS','USERIDS');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','USERIDS','YES','YES');
--DROP TABLE User_Preferences;

CREATE TABLE User_Preferences (
   USER_ID varchar(30) NULL,
   Pref_Name varchar(60) NULL,
   Pref_Setting varchar(128) NULL
);

CREATE UNIQUE CLUSTERED INDEX User_Preferences_USER_ID ON User_Preferences (USER_ID,Pref_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('User_Preferences','User Preferences');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','User_Preferences','YES','YES');
--DROP TABLE UTABLES;

CREATE TABLE UTABLES (
   TABLE_NAME varchar(50) NULL,
   Screen_Name varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX UTABLES_TABLE_NAME ON UTABLES (TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('UTABLES','UTABLES');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','UTABLES','YES','YES');
--DROP TABLE Weight_Length_Sample;

CREATE TABLE Weight_Length_Sample (
   Fish_Id varchar(10) NULL,
   Tank_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Weight_Date varchar(10) NULL,
   Sample_No integer NULL,
   Fish_Weight numeric(10,2) NULL,
   Fish_Length numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Weight_Length_Sample_Fish_Id ON Weight_Length_Sample (Fish_Id,Tank_Id,Date_Assigned,Weight_Date,Sample_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Weight_Length_Sample','Weight Length Sample');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Weight_Length_Sample','YES','YES');
--DROP TABLE Current_Tank_Info;

CREATE TABLE Current_Tank_Info (
   Tank_Id varchar(10) NULL,
   Tank_Count integer NULL,
   Avg_Weight numeric(10,2) NULL,
   Biomass numeric(10,2) NULL,
   Last_Weight_Date varchar(10) NULL,
   Sales_Class_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Current_Tank_Info_Tank_Id ON Current_Tank_Info (Tank_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Current_Tank_Info','Current Tank Info');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Current_Tank_Info','YES','YES');
